## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSLTProcessorException Class Reference

`#include <XSLTProcessorException.hpp>`

Inheritance diagram for XSLTProcessorException

Collaboration diagram for XSLTProcessorException:

List of all members.

## Public Methods

- XSLTProcessorException ( const XalanDOMString& theMessage, const XalanDOMString& theURI, int theLineNumber, int theColumnNumber, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XSLTProcessorException")))
    Construct an XSLT Processor exception object. More...
- XSLTProcessorException ( const LocatorType& theLocator, const XalanDOMString& theMessage, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XSLTProcessorException")))
    Constructor. More...
- XSLTProcessorException ( const XalanDOMString& theMessage, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XSLTProcessorException")))
    Construct an XSLT Processor exception object. More...
- virtual ~XSLTProcessorException ()

## Constructor & Destructor Documentation

XSLTProcessorException::XSLTProcessorException ( | const XalanDOMString & theMessage,
| const XalanDOMString & theURI,
| int theLineNumber,
| int theColumnNumber,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XSLTProcessorException")) )

Construct an XSLT Processor exception object.

Parameters:

  theMessage | message to print when exception thrown
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document.
  theColumnNumber | the column number of the related document.
  theType | type of exception string, default is "XSLTProcessorException"

XSLTProcessorException::XSLTProcessorException ( | const LocatorType & theLocator,
| const XalanDOMString & theMessage,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XSLTProcessorException")) )

Constructor.

Parameters:

  theLocator | The locator instance for error reporting.
  theMessage | message to write when exception thrown
  theType | type of exception, default is "XSLTProcessorException"

XSLTProcessorException::XSLTProcessorException ( | const XalanDOMString & theMessage,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XSLTProcessorException")) )

Construct an XSLT Processor exception object.

Parameters:

  theMessage | message to print when exception thrown
  theType | type of exception string, default is "XSLTProcessorException"

virtual XSLTProcessorException::~XSLTProcessorException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XSLTProcessorException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.